> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify that the prerequisites for installing a specific package version are met

> This endpoint verifies that installation prerequisites are met for a specific package version.
The input is the same as for package installations, but the response may be a synchronous one
if the package version has no prerequisites.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml post /v4/deployment-packages/{account_id}/verify-install-prerequisites-met
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/deployment-packages/{account_id}/verify-install-prerequisites-met:
    post:
      tags:
        - package deployments
      summary: >-
        Verify that the prerequisites for installing a specific package version
        are met
      description: >-
        This endpoint verifies that installation prerequisites are met for a
        specific package version.

        The input is the same as for package installations, but the response may
        be a synchronous one

        if the package version has no prerequisites.
      operationId: >-
        POST-V4-/deployment-packages/{account_id}/verify-install-prerequisites-met
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyPackageVersionPrerequisitesRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DeploymentPackageJobResponse'
                  - type: 'null'
                title: >-
                  Response Post-V4-/Deployment-Packages/{Account
                  Id}/Verify-Install-Prerequisites-Met
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VerifyPackageVersionPrerequisitesRequest:
      properties:
        package_version_id:
          type: string
          title: Package Version Id
      type: object
      required:
        - package_version_id
      title: VerifyPackageVersionPrerequisitesRequest
    DeploymentPackageJobResponse:
      properties:
        deployment_package_job_id:
          type: string
          title: Deployment Package Job Id
        account_id:
          type: string
          title: Account Id
      type: object
      required:
        - deployment_package_job_id
      title: DeploymentPackageJobResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````